콘텐츠로 건너뛰기

개요

  • 버전: 2.0
  • 서버: https://api.xsolla.com/merchant/v2/

본 API 참조는 정기 결제, 쿠폰 및 프로모션 관리 엔드포인트에 관하여 기술하고 있습니다. 정기 결제에 대한 더 자세한 내용은 제품 가이드용어집을 참조하십시오.

OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/subscriptions/
작업
작업
작업
작업
작업
작업
작업

요청

보안
subscriptionsManagementJwtAuth
경로
subscription_idinteger\d+필수
project_idinteger\d+필수
쿼리
limitinteger
offsetinteger
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/plans_for_change?limit=0&offset=0&locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

List of available plans for change

본문application/json
has_moreboolean필수
예제: "false"
itemsArray of objects(PlanResponse)
기본값 []
items[].​chargeobject(Charge4)필수
items[].​charge.​amountnumber(float)필수
예제: "4.99"
items[].​charge.​currencystring필수
예제: "USD"
items[].​charge.​setup_feenumber or null(float)
예제: "0.99"
items[].​periodobject(Period4)필수
items[].​period.​unitstring or null
기본값 null
예제: "month"
items[].​period.​valueinteger or null
기본값 null
예제: "1"
items[].​plan_descriptionstring필수
예제: "Localized plan description"
items[].​plan_end_datestring or null(date-time)
예제: "2031-04-11T13:51:02+03:00"
items[].​plan_external_idstring필수
예제: "PlanExternalId"
items[].​plan_group_idstring or null
예제: "TestGroupId"
items[].​plan_idinteger필수
예제: "54321"
items[].​plan_namestring필수
예제: "Localized plan name"
items[].​plan_start_datestring or null(date-time)
예제: "2021-04-11T13:51:02+03:00"
items[].​plan_typestring필수
예제: "all"
items[].​promotionobject(Promotion2)필수
items[].​promotion.​promotion_charge_amountnumber or null(float)
기본값 null
예제: "3.99"
items[].​promotion.​promotion_remaining_chargesinteger or null
기본값 null
예제: "3"
items[].​trial_periodinteger or null
예제: "7"
응답
application/json
{ "has_more": "false", "items": [] }